package com.uas.eis.entity;

/**
 * 标准查询配置
 * @author chenw
 *
 */
public class QueryConfig {

	private Integer qc_id;
	private String qc_code;
	private String qc_table;
	private String qc_condition;
	private String qc_mapkey;
	private String qc_beforesql;
	private String qc_return;
	private Integer qc_detno;
	private String qc_orderby;
	private Integer qc_isArray;
	private String qc_relationCode;
	private String qc_mainVar;
	public String getQc_mainVar() {
		return qc_mainVar;
	}
	public void setQc_mainVar(String qc_mainVar) {
		this.qc_mainVar = qc_mainVar;
	}
	public String getQc_relationCode() {
		return qc_relationCode;
	}
	public void setQc_relationCode(String qc_relationCode) {
		this.qc_relationCode = qc_relationCode;
	}
	public Integer getQc_id() {
		return qc_id;
	}
	public void setQc_id(Integer qc_id) {
		this.qc_id = qc_id;
	}
	public String getQc_code() {
		return qc_code;
	}
	public void setQc_code(String qc_code) {
		this.qc_code = qc_code;
	}
	public String getQc_table() {
		return qc_table;
	}
	public void setQc_table(String qc_table) {
		this.qc_table = qc_table;
	}
	public String getQc_condition() {
		return qc_condition;
	}
	public void setQc_condition(String qc_condition) {
		this.qc_condition = qc_condition;
	}
	public String getQc_mapkey() {
		return qc_mapkey;
	}
	public void setQc_mapkey(String qc_mapkey) {
		this.qc_mapkey = qc_mapkey;
	}
	public String getQc_return() {
		return qc_return;
	}
	public void setQc_return(String qc_return) {
		this.qc_return = qc_return;
	}
	public Integer getQc_detno() {
		return qc_detno;
	}
	public void setQc_detno(Integer qc_detno) {
		this.qc_detno = qc_detno;
	}
	public String getQc_orderby() {
		return qc_orderby;
	}
	public void setQc_orderby(String qc_orderby) {
		this.qc_orderby = qc_orderby;
	}
	public String getQc_beforesql() {
		return qc_beforesql;
	}
	public void setQc_beforesql(String qc_beforesql) {
		this.qc_beforesql = qc_beforesql;
	}
	public Integer getQc_isArray() {
		return qc_isArray;
	}
	public void setQc_isArray(Integer qc_isArray) {
		this.qc_isArray = qc_isArray;
	}
	
}
